# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
from aliyunsdkcloudfw.endpoint import endpoint_data

class CreateVpcFirewallConfigureRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Cloudfw', '2017-12-07', 'CreateVpcFirewallConfigure','cloudfirewall')
		self.set_method('POST')

		if hasattr(self, "endpoint_map"):
			setattr(self, "endpoint_map", endpoint_data.getEndpointMap())
		if hasattr(self, "endpoint_regional"):
			setattr(self, "endpoint_regional", endpoint_data.getEndpointRegional())

	def get_PeerVpcCidrTableList(self): # String
		return self.get_query_params().get('PeerVpcCidrTableList')

	def set_PeerVpcCidrTableList(self, PeerVpcCidrTableList):  # String
		self.add_query_param('PeerVpcCidrTableList', PeerVpcCidrTableList)
	def get_LocalVpcCidrTableList(self): # String
		return self.get_query_params().get('LocalVpcCidrTableList')

	def set_LocalVpcCidrTableList(self, LocalVpcCidrTableList):  # String
		self.add_query_param('LocalVpcCidrTableList', LocalVpcCidrTableList)
	def get_LocalVpcRegion(self): # String
		return self.get_query_params().get('LocalVpcRegion')

	def set_LocalVpcRegion(self, LocalVpcRegion):  # String
		self.add_query_param('LocalVpcRegion', LocalVpcRegion)
	def get_PeerVpcRegion(self): # String
		return self.get_query_params().get('PeerVpcRegion')

	def set_PeerVpcRegion(self, PeerVpcRegion):  # String
		self.add_query_param('PeerVpcRegion', PeerVpcRegion)
	def get_VpcFirewallName(self): # String
		return self.get_query_params().get('VpcFirewallName')

	def set_VpcFirewallName(self, VpcFirewallName):  # String
		self.add_query_param('VpcFirewallName', VpcFirewallName)
	def get_LocalVpcId(self): # String
		return self.get_query_params().get('LocalVpcId')

	def set_LocalVpcId(self, LocalVpcId):  # String
		self.add_query_param('LocalVpcId', LocalVpcId)
	def get_Lang(self): # String
		return self.get_query_params().get('Lang')

	def set_Lang(self, Lang):  # String
		self.add_query_param('Lang', Lang)
	def get_FirewallSwitch(self): # String
		return self.get_query_params().get('FirewallSwitch')

	def set_FirewallSwitch(self, FirewallSwitch):  # String
		self.add_query_param('FirewallSwitch', FirewallSwitch)
	def get_MemberUid(self): # String
		return self.get_query_params().get('MemberUid')

	def set_MemberUid(self, MemberUid):  # String
		self.add_query_param('MemberUid', MemberUid)
	def get_PeerVpcId(self): # String
		return self.get_query_params().get('PeerVpcId')

	def set_PeerVpcId(self, PeerVpcId):  # String
		self.add_query_param('PeerVpcId', PeerVpcId)
